hdiff(1)

NAME
hdiff - compares two HDF files and reports the differences

SYNOPSIS
hdiff
[-V] [-b] [-g] [-s] [-d] [-D] [-S] [-v var1[,...]] [-u var1[,...]] [-e count] [-t limit] [-p relative] file1 file2

DESCRIPTION
hdiff compares two HDF files and reports the differences.

OPTIONS

\FC-V\F[]
    Display version of the HDF4 library and exit

\FC-b\F[]
    Verbose mode

\FC-g\F[]
    Compare global attributes only

\FC-s\F[]
    Compare SD local attributes only

\FC-d\F[]
    Compare SD data only

\FC-D\F[]
    Compare Vdata data only

\FC-S\F[]
    Print statistics

\FC-v\F[] var1[,...]
    Compare SD data on variable(s) var1,... only

\FC-u\F[] var1[,...]
    Compare vdata on variable(s) var1,... only

\FC-e\F[] count
    Print difference up to count number for each variable

\FC-t\F[] limit
    Print difference when it is greater than limit

\FC-p\F[] relative
    Print difference when it is greater than a relative limit

\FCfile1\F[]
    File name of the first HDF file

\FCfile2\F[]
    File name of the second HDF file

The 'count' value must be a positive integer

The 'limit' and 'relative' values must be positive numbers

The \FC-t\F[] compare criteria is |a - b| > limit

The \FC-p\F[] compare criteria is |(b-a)/a| > relative

Return codes: 0 (no differences found), 1 (differences found)